PCL_OPENNI_OCTREE_COMPRESSION(1)

NAME
pcl_openni_octree_compression - pcl_openni_octree_compression

DESCRIPTION
Please specify compression mode..

    PCL octree point cloud compression

    usage: ./pcl_openni_octree_compression [mode] [profile] [parameters]

    I/O:

-f file
    : file name

    file compression mode:

-x: encode point cloud stream to file

-d: decode from file and display point cloud stream

    network streaming mode:

-s  : start server on localhost

-c host
    : connect to server and display decoded cloud stream

    optional compression profile:

-p profile : select compression profile:
    -"lowC" Low resolution with color -"lowNC" Low resolution without color -"medC" Medium resolution with color -"medNC" Medium resolution without color -"highC" High resolution with color -"highNC" High resolution without color

    optional compression parameters:

-r prec
    : point precision Hz

-o prec
    : octree voxel size

-v  : enable voxel-grid downsampling

-a  : enable color coding

-i rate
    : i-frame rate

-b bits
    : bits/color component

-t  : output statistics

-e  : show input cloud during encoding

-minmax min-max
    :: set the PassThrough min-max cutting values (default: 0-3.0)

-field
    X :: set the PassThrough field/dimension 'X' to filter data on (default: 'z')

    example:

    ./pcl_openni_octree_compression -x -p highC -t -f pc_compressed.pcc

AUTHOR
pcl_openni_octree_compression is part of Point Cloud Library (PCL) - www.pointclouds.org

The Point Cloud Library (PCL) is a standalone, large scale, open project for 2D/3D image and point cloud processing.

This manual page was written by Leopold Palomo-Avellaneda <leo@alaxarxa.net> with the help of help2man tool and some handmade arrangement for the Debian project (and may be used by others).